package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuMessageFactory
{
    private FeishuMessageFactory()
    {
    }
    public static IFeishuMessage getRemoteInstance() throws BOSException
    {
        return (IFeishuMessage)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("AD2A20DE") , IFeishuMessage.class);
    }
    
    public static IFeishuMessage getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuMessage)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("AD2A20DE") , IFeishuMessage.class, objectCtx);
    }
    public static IFeishuMessage getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuMessage)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("AD2A20DE"));
    }
    public static IFeishuMessage getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuMessage)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("AD2A20DE"));
    }
}